Public Member Functions | Protected Attributes | Private Member Functions | List of all members
STOFFChartInternal::SubDocument Class Referencefinal

Internal: the subdocument of a STOFFChart. More...

Inheritance diagram for STOFFChartInternal::SubDocument:

## Public Member Functions
| SubDocument (STOFFChart *chart, STOFFChart::TextZone::Type textZone)
| ~SubDocument () final
| destructor
bool | operator!= (STOFFSubDocument const &doc) const final
| operator!=
bool | operator== (STOFFSubDocument const &doc) const
| operator==
void | parse (STOFFListenerPtr &listener, libstoff::SubDocumentType type) final
| the parser function
Public Member Functions inherited from STOFFSubDocument
| STOFFSubDocument (STOFFParser *pars, STOFFInputStreamPtr ip, STOFFEntry const &z)
| constructor from parser, input stream and zone in the input
| STOFFSubDocument (STOFFSubDocument const &doc)
| copy constructor
STOFFSubDocument & | operator= (STOFFSubDocument const &doc)
| copy operator
virtual | ~STOFFSubDocument ()
| virtual destructor
bool | operator== (STOFFSubDocument const &doc) const
| comparison operator==
bool | operator!= (std::shared_ptr< STOFFSubDocument > const &doc) const
| comparison operator!=
bool | operator== (std::shared_ptr< STOFFSubDocument > const &doc) const
| comparison operator==

## Protected Attributes
STOFFChart * | m_chart
| the chart
STOFFChart::TextZone::Type | m_textZone
| the textzone type
Protected Attributes inherited from STOFFSubDocument
STOFFParser * | m_parser
| the main zone parser
std::shared_ptr< STOFFInputStream > | m_input
| the input
STOFFEntry | m_zone
| if valid the zone to parse

## Private Member Functions
| SubDocument (SubDocument const &orig)
SubDocument & | operator= (SubDocument const &orig)

## Detailed Description

Internal: the subdocument of a STOFFChart.

## Constructor & Destructor Documentation

## ◆ SubDocument() [1/2]

STOFFChartInternal::SubDocument::SubDocument | ( | STOFFChart * | chart,
|  | STOFFChart::TextZone::Type | textZone )
| inline

## ◆ ~SubDocument()

STOFFChartInternal::SubDocument::~SubDocument | ( |  | ) |
| inline final

destructor

## ◆ SubDocument() [2/2]

STOFFChartInternal::SubDocument::SubDocument | ( | SubDocument const & | orig | ) |
| private

## Member Function Documentation

## ◆ operator!=()

bool STOFFChartInternal::SubDocument::operator!= | ( | STOFFSubDocument const & | doc | ) | const
| inline final virtual

operator!=

Reimplemented from STOFFSubDocument.

Referenced by operator==().

## ◆ operator=()

SubDocument & STOFFChartInternal::SubDocument::operator= | ( | SubDocument const & | orig | ) |
| private

## ◆ operator==()

bool STOFFChartInternal::SubDocument::operator== | ( | STOFFSubDocument const & | doc | ) | const
| inline

operator==

## ◆ parse()

void STOFFChartInternal::SubDocument::parse | ( | STOFFListenerPtr & | listener,
|  | libstoff::SubDocumentType | type )
| final virtual

the parser function

Implements STOFFSubDocument.

## Member Data Documentation

## ◆ m_chart

STOFFChart* STOFFChartInternal::SubDocument::m_chart
| protected

the chart

Referenced by operator!=(), and parse().

## ◆ m_textZone

STOFFChart::TextZone::Type STOFFChartInternal::SubDocument::m_textZone
| protected

the textzone type

Referenced by operator!=(), and parse().

The documentation for this class was generated from the following file:

- STOFFChart.cxx